%{?nodejs_find_provides_and_requires}

%global packagename grunt-contrib-cssmin
%global enable_tests 1

Name:		nodejs-grunt-contrib-cssmin
Version:	1.0.1
Release:	1%{?dist}
Summary:	Minify CSS

License:	MIT
URL:		https://github.com/gruntjs/grunt-contrib-cssmin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh

# Gruntfile for running the test suite
Source11:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-cssmin/v%{version}/Gruntfile.js
# jshint file
Source12:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-cssmin/v%{version}/.jshintrc
# License
Source13:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-cssmin/v%{version}/LICENSE-MIT
# AUTHORS file, needed for tests
Source14:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-cssmin/v%{version}/AUTHORS


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(clean-css)
BuildRequires:	npm(maxmin)

%if 0%{?enable_tests}
BuildRequires:	npm(grunt-cli)
BuildRequires:	npm(grunt-contrib-clean)
BuildRequires:	npm(grunt-contrib-internal)
BuildRequires:	npm(grunt-contrib-jshint)
BuildRequires:	npm(grunt-contrib-nodeunit)
BuildRequires:	npm(jshint)
%endif

%description
Minify CSS


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# docs
%autosetup -T -D -a 2 -n package
# Gruntfile
cp -p %{SOURCE11} .
# .jshintrc file
cp -p %{SOURCE12} .
# License file
cp -p %{SOURCE13} .
# AUTHORS file
cp -p %{SOURCE14} .

%nodejs_fixdep maxmin

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json tasks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt test --force
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md AUTHORS
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
